<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:padding="@dimen/activity_padding"
    tools:context=".view.NewSaleActivity">

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fitsSystemWindows="true"
        android:gravity="center"
        android:text="@string/payments_fab_description"
        android:textSize="@dimen/text_important" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_client"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/tv_title"
        android:layout_marginTop="@dimen/medio_margin8"
        android:hint="@string/newsale_client">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/et_client"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="textPersonName" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_address"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/til_client"
        android:layout_marginTop="@dimen/medio_margin8"
        android:hint="@string/newsale_address" >

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/et_address"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="textPostalAddress" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_amount"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/til_address"
        android:layout_marginTop="@dimen/medio_margin8"
        android:hint="@string/newsale_amount">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/et_amount"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:inputType="numberDecimal" />
    </com.google.android.material.textfield.TextInputLayout>

    <LinearLayout
        android:id="@+id/ll_parts"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/til_amount"
        android:layout_marginTop="@dimen/medio_margin8"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/til_number"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:hint="@string/newsale_parts">

            <com.google.android.material.textfield.TextInputEditText
                android:id="@+id/et_number"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:inputType="number" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:id="@+id/til_periodicity"
            style="@style/Widget.MaterialComponents.TextInputLayout.FilledBox.ExposedDropdownMenu"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/medio_margin8"
            android:layout_weight="1"
            android:hint="@string/newsale_periodicity">

            <com.google.android.material.textfield.MaterialAutoCompleteTextView
                android:id="@+id/et_periodicity"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:clickable="true"
                android:focusable="true" />


        </com.google.android.material.textfield.TextInputLayout>
    </LinearLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_part"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/ll_parts"
        android:layout_marginTop="@dimen/medio_margin8"
        android:hint="@string/newsale_part">


        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/et_part"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:enabled="false"
            android:inputType="numberDecimal"
            android:textAlignment="textEnd" />
    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/til_date"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/til_part"
        android:layout_alignParentStart="true"
        android:layout_marginTop="@dimen/medio_margin8"
        android:hint="@string/newsale_date"
        app:endIconContentDescription="Calendar"
        app:endIconDrawable="@android:drawable/ic_menu_my_calendar"
        app:endIconMode="custom">

        <com.google.android.material.textfield.TextInputEditText
            android:id="@+id/et_date"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:enabled="false"
            android:inputType="date" />

    </com.google.android.material.textfield.TextInputLayout>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btn_save"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@id/til_date"
        android:layout_alignParentEnd="true"
        android:layout_marginTop="@dimen/default_margin"
        android:backgroundTint="@color/principal"
        android:text="@string/newsale_save"
        android:textColor="@color/white" />

</RelativeLayout>